
events.listen('recipes', function (event) {
event.recipes.bloodmagic.altar('occultism:chalk_white', 'occultism:chalk_white_impure').upgradeLevel(2).altarSyphon(30000).consumptionRate(20).drainRate(20)
event.recipes.bloodmagic.altar('occultism:chalk_gold', 'occultism:chalk_gold_impure').upgradeLevel(2).altarSyphon(35000).consumptionRate(20).drainRate(20)
event.recipes.bloodmagic.altar('occultism:chalk_purple', 'occultism:chalk_purple_impure').upgradeLevel(2).altarSyphon(40000).consumptionRate(20).drainRate(20)
event.recipes.bloodmagic.altar('occultism:chalk_red', 'occultism:chalk_red_impure').upgradeLevel(2).altarSyphon(50000).consumptionRate(20).drainRate(20)



event.shaped(item.of('occultism:sacrificial_bowl'), [
        'B B',
        'ABA',
        'AAA'
      ], {
        A: 'occultism:otherstone',
        B: 'minecraft:netherite_ingot'
      })

event.shaped(item.of('occultism:golden_sacrificial_bowl'), [
        'BBB',
        'BAB',
        'BBB'
      ], {
        A: 'occultism:sacrificial_bowl',
        B: 'silentgear:blaze_gold_ingot'
      })

event.shaped(item.of('occultism:chalk_white_impure'), [
        'BAC',
        'BAC',
        'BAC'
      ], {
        A: 'occultism:burnt_otherstone',
        B: 'occultism:otherworld_ashes',
        C: 'silentgear:glittery_dust'
      })

event.shaped(item.of('occultism:butcher_knife'), [
        ' AB',
        'AB ',
        'C  '
      ], {
        A: 'emendatusenigmatica:steel_ingot',
        B: '#forge:rods/wooden',
        C: 'thermal:cured_rubber'
      })

event.shaped(item.of('occultism:magic_lamp_empty'), [
        ' A ',
        'ABA',
        ' AA'
      ], {
        A: 'occultism:iesnium_ingot',
        B: 'emendatusenigmatica:silver_ingot'
      })

event.shaped(item.of('occultism:spirit_attuned_crystal'), [
        'AAA',
        'AAA',
        'AAA'
      ], {
        A: 'occultism:spirit_attuned_gem'
      })

event.shaped(item.of('occultism:divination_rod'), [
        'ABA',
        'ACA',
        ' A '
      ], {
        A: '#forge:rods/wooden',
        B: 'occultism:spirit_attuned_crystal',
        C: 'bloodmagic:infusedslate'
      })

event.shaped(item.of('occultism:spirit_attuned_pickaxe_head'), [
        '   ',
        'ABA',
        '   '
      ], {
        A: 'occultism:spirit_attuned_gem',
        B: 'occultism:spirit_attuned_crystal'
      })
})